Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultLegalTextType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultLegalTextType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultLegalTextType extends Object implements Serializable

Java class for ConsultLegalTextType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultLegalTextType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Content" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
             <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="SequenceNr" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="LastModifiedOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="LegalText" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultLegalTextType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="Key" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultLegalTextType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `ConsultTextType`
  `getContent()`
  Gets the value of the content property.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `String`
  `getKey()`
  Gets the value of the key property.
  `Instant`
  `getLastModifiedOn()`
  Gets the value of the lastModifiedOn property.
  `List<ConsultLegalTextType>`
  `getLegalTexts()`
  Gets the value of the legalTexts property.
  `int`
  `getSequenceNr()`
  Gets the value of the sequenceNr property.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `String`
  `getType()`
  ALINEA, POINT
  `void`
  `setContent(ConsultTextType value)`
  Sets the value of the content property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setKey(String value)`
  Sets the value of the key property.
  `void`
  `setLastModifiedOn(Instant value)`
  Sets the value of the lastModifiedOn property.
  `void`
  `setSequenceNr(int value)`
  Sets the value of the sequenceNr property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultLegalTextType

    public ConsultLegalTextType()

- ## Method Details

  - ### getContent

    public ConsultTextType getContent()
    Gets the value of the content property.
    Returns:
      possible object is `ConsultTextType`

  - ### setContent

    public void setContent(ConsultTextType value)
    Sets the value of the content property.
    Parameters:
      `value` - allowed object is `ConsultTextType`

  - ### getType

    public String getType()
    ALINEA, POINT
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getType()`

  - ### getSequenceNr

    public int getSequenceNr()
    Gets the value of the sequenceNr property.

  - ### setSequenceNr

    public void setSequenceNr(int value)
    Sets the value of the sequenceNr property.

  - ### getLastModifiedOn

    public Instant getLastModifiedOn()
    Gets the value of the lastModifiedOn property.
    Returns:
      possible object is `String`

  - ### setLastModifiedOn

    public void setLastModifiedOn(Instant value)
    Sets the value of the lastModifiedOn property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getLegalTexts

    public List<ConsultLegalTextType> getLegalTexts()
    Gets the value of the legalTexts property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalTexts property.

    For example, to add a new item, do as follows:

         getLegalTexts().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultLegalTextType`

    Returns:
      The value of the legalTexts property.

  - ### getKey

    public String getKey()
    Gets the value of the key property.
    Returns:
      possible object is `String`

  - ### setKey

    public void setKey(String value)
    Sets the value of the key property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`